<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class VideosController extends Controller
{
    public function upload(Request $request){
        if ($request->file('file')) {
            $fileName = time() . '_' . $request->file('file')->getClientOriginalName();
            $filePath = $request->file('file')->storeAs('uploads', $fileName, 'public');

            // Return success response with file info (optional)
            return back()
                ->with('success', 'File uploaded successfully')
                ->with('file', $fileName);
        }

        return back()->with('error', 'File upload failed');
    }
}
